/**********************
开发：DK
时间：2009/12/08
网址：http://www.dklogs.net
转载使用请保留本信息
**********************/
var pageObject=new Object();
//用于获取当前窗口的真实宽度和高度
pageObject.getClientWidth=function(){
	var winWidth=0;
	//获取窗口宽度
	if (window.innerWidth)
		winWidth = window.innerWidth;    
	else if ((document.body) && (document.body.clientWidth))    
		winWidth = document.body.clientWidth; 
   //通过深入Document内部对body进行检测，获取窗口大小    
	if (document.documentElement  && document.documentElement.clientHeight && document.documentElement.clientWidth)    
	{      
		winWidth = document.documentElement.clientWidth;   
	}    //结果输出至两个文本框    
	return winWidth;  
}
pageObject.getClientHeight=function(){
	var winHeight=0;
	//获取窗口高度    
	if (window.innerHeight)    
		winHeight = window.innerHeight;
	else if ((document.body) && (document.body.clientHeight))    
		winHeight = document.body.clientHeight;
	//通过深入Document内部对body进行检测，获取窗口大小    
	if (document.documentElement  && document.documentElement.clientHeight && document.documentElement.clientWidth)    
	{   
		winHeight = document.documentElement.clientHeight;    
	}    
	return winHeight;  
}
//兼容FF和IE的事件，当e未定义的时候返回window.event
pageObject.dEvent=function(e)
{
	if(!e)
	{
		return window.event;
	}
	else
	{
		return e;
	}
}
//定义提示框对象
var MessageBox=new Object();
//初始化对话框的DOM对象，并设置相关的样式
MessageBox.init=function(meg,title){
	//覆盖背景，将当前页面其他内容覆盖
	this.background=document.createElement("div");
	this.background.id="maskDiv";
	this.background.style.width=pageObject.getClientWidth()+"px";
	this.background.style.height=pageObject.getClientHeight()+"px";
	//标题，对话框标题容器
	this.titleContainer=document.createElement("div");
	this.titleContainer.id="messageBoxTitle";
	//对话框标题内容，如果为空则自动显示“消息”
	this.titleStr;
	if(title==null)
		this.titleStr="消息";
	else
		this.titleStr=title;
	this.titleObj=document.createTextNode(this.titleStr);
	this.titleSpan=document.createElement("span");
	this.titleSpan.appendChild(this.titleObj);
	this.titleContainer.appendChild(this.titleSpan);
	this.closeBtn=document.createElement("input");
	this.closeBtn.id="closeBtn";
	this.closeBtn.type="button";
	this.closeBtn.value="X";
	this.titleContainer.appendChild(this.closeBtn);
	//消息内容
	this.messageContainer=document.createElement("div");
	this.messageContainer.id="messageContainer";
	this.messageStr=meg;
	this.messageObj=document.createTextNode(meg);
	this.messageContainer.appendChild(this.messageObj);
	this.footContainer=document.createElement("div");
	this.footContainer.id="messageBoxFoot";
	//确定按钮
	this.confirmBtn=document.createElement("input");
	this.confirmBtn.type="button";
	this.confirmBtn.id="okBtn";
	this.confirmBtn.value="确定";
	this.footContainer.appendChild(this.confirmBtn);
	//消息框的整体
	this.messageBox=document.createElement("div");
	this.messageBox.id="messageBox";
	//对话框的定位，根据宽度和高度自动生成定位
	this.messageBox.style.top=parseInt(pageObject.getClientHeight())/2-100+"px";
	this.messageBox.style.left=parseInt(pageObject.getClientWidth())/2-150+"px";			
	//将元素添加到对话框中
	this.messageBox.appendChild(this.titleContainer);
	this.messageBox.appendChild(this.messageContainer);
	this.messageBox.appendChild(this.footContainer);
	}
//对话框显示的主方法
MessageBox.showMessage=function(meg,title){
	//初始化对话框基本元素
	this.init(meg,title);
	//将对话框以及背景加入到body中
	document.body.appendChild(this.background);
	document.body.appendChild(this.messageBox);
	//定义按钮，当点击按钮的时候关闭对话框
	this.confirmBtn.onclick=this.dispose;
	this.closeBtn.onclick=this.dispose;
	//定义对话框的拖动事件
	var nowTitleContainer=this.titleContainer;
	//当在标题上点击的时候开始实现拖动
	this.titleContainer.onmousedown=function(e){
		var messageBox=document.getElementById("messageBox");
		var startX=pageObject.dEvent(e).clientX;
		var startY=pageObject.dEvent(e).clientY;
		var offsetLeft=messageBox.offsetLeft;
		var offsetTop=messageBox.offsetTop;
		//当鼠标移动到时候对话框跟随鼠标移动，为了防止作用的区域过小对话框移动出问题，这个地方选择了对body对象注册mousemove事件
		document.body.onmousemove=function(e){
			//下面的4句代码没有实际作用可以删除，为了在页面上体现鼠标坐标值的变化值
			document.getElementById("nowx").value=pageObject.dEvent(e).clientX-startX;
			document.getElementById("nowy").value=pageObject.dEvent(e).clientY-startY;
			document.getElementById("elementLeft").value=parseInt(messageBox.style.left);
			document.getElementById("elementTop").value=parseInt(messageBox.style.top);
			//设置对话框的具体坐标
			messageBox.style.top=offsetTop+pageObject.dEvent(e).clientY-startY+"px";			
			messageBox.style.left=offsetLeft+pageObject.dEvent(e).clientX-startX+"px";
		}
		//当鼠标释放即mouseup事件触发后注销body的mousemove事件同时注销body的mouseup事件自身，以防止事件污染
		document.body.onmouseup=function(){
		//alert("Cancle");
			document.body.onmousemove=null;
			document.body.onmouseup=null;
			}
		}
	
	}
//对话框释放函数
MessageBox.dispose=function(){
	var background=document.getElementById("maskDiv");
	var messageBox=document.getElementById("messageBox");
	document.body.removeChild(background);
	document.body.removeChild(messageBox);
	}